Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.support.proxy
[Java] Interface EntityProxyHandler

    org.codehaus.groovy.grails.support.proxy.EntityProxyHandler
      org.codehaus.groovy.grails.support.proxy.ProxyHandler

All Superinterfaces:
  ProxyHandler

    public interface EntityProxyHandler
    extends ProxyHandler

Methods specified to proxied entities

Authors:
  Graeme Rocher

Since:
  1.3.6

Method Summary
`java.lang.Class` | `getProxiedClass(java.lang.Object o)` Returns the proxied class without initializing the proxy
`java.lang.Object` | `getProxyIdentifier(java.lang.Object o)` This method returns the identifier of the proxy or null if the object is not a proxy

Methods inherited from interface ProxyHandler
initialize, isInitialized, isInitialized, isProxy, unwrapIfProxy

Method Detail

### getProxiedClass

    public java.lang.Class getProxiedClass(java.lang.Object o)

  Returns the proxied class without initializing the proxy
  Parameters:
    `o` - The object
  Returns:
    The class

### getProxyIdentifier

    public java.lang.Object getProxyIdentifier(java.lang.Object o)

  This method returns the identifier of the proxy or null if the object is not a proxy
  Returns:
    The identifier of the identity

Groovy Documentation